Skip to end of metadata
Go to start of metadata

The aaltologo package has been updated to version 1.0.1, and you can download it from the aaltologo page (direct link to the package). It is recommended that you download the updated version and use that instead of version 1.0. The updates are discussed in more detail below.

Bug Fix: Randomization

In version 1.0 of the aaltologo package, the randomization command set the random number generator seed to be the page number. This was one of the ideas we had back then when we were developing the package. Unfortunately this approach leads to a specific sequence of logos if no preparation is done by the user in the document preamble or in the very beginning of the document. In the updated version 1.0.1 of the aaltologo package, this issue has been removed and the randomization command produces truly random sequence of logos as the random number generator seed is determined by the LaTeX timestamp and the line number where the seeding happens. This means that the logo sequence differs from a compilation to another, if the LaTeX timestamp has changed. Since the resolution of the LaTeX timestamp is one minute, a new sequence can be generated quite often.

Compatibility Improvement: TeXlive 2007 and its derivatives

Version 1.0 of the aaltologo package is incompatible with TeXlive 2007 distribution (and its derivative distributions MacTeX and MikTeX from 2007). With TeXlive 2007 distribution, compilation of a document that used version 1.0 of the aaltologo package lead to an error message. This incompatibility has been resolved as version 1.0 of the aaltologo package contained internal drawing commands that used an option not implemented in the version of TikZ that TeXlive 2007 contains. Fortunately, this option was only a relic of the development versions where the logo text lines were actually typed text instead of drawn text as they are now. By removing this option, the updated version 1.0.1 of the aaltologo package does not produce the error message. However, there may be problems in setting the logo language.  This is due to the features of the babel package the aaltologo package requires. If you encounter this problem, you need to update the babel package. However, an easier approach is to update the whole LaTeX distribution.

Note: Compatibility of the aaltologo package (any version) with the pre-2007 LaTeX distributions has not been tested. It is recommended that you use a post-2007 distribution for ensured compatibility. Furthermore, plain TeX compatibility of the aaltologo package (any version) has not been implemented.

Jussi Pekonen, the maintainer of the aaltologo package, Department of Signal Processing and Acoustics